#include "xcollisionaabbtreeindex.h"

XCollisionAabbTreeIndex::XCollisionAabbTreeIndex()
    : XAsset()
    , mFirstChildIndex(0)
    , mPartitionIndex(0)
{

}

XCollisionAabbTreeIndex::~XCollisionAabbTreeIndex()
{

}

void XCollisionAabbTreeIndex::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream
            >> mFirstChildIndex
            >> mPartitionIndex;
    }
}

int XCollisionAabbTreeIndex::GetFirstChildIndex() const {
    return mFirstChildIndex;
}

void XCollisionAabbTreeIndex::SetFirstChildIndex(int index) {
    mFirstChildIndex = index;
}

int XCollisionAabbTreeIndex::GetPartitionIndex() const {
    return mPartitionIndex;
}

void XCollisionAabbTreeIndex::SetPartitionIndex(int index) {
    mPartitionIndex = index;
}




